#!/bin/sh

Dir_path=`dirname $0`
echo ${Dir_path}

wrap_cp()
{
   cp $@
   retcode=$?
   #echo "ret: ${retcode} after excute cp $@...\n"
   if [ ${retcode} -gt 1 ]
   then 
      if [ -d $3 ]; then
         #echo "rm -rf $3/*...\n"
         rm -rf $3/*
      else
         rm -rf $3
      fi
      #echo "cp again:cp $@...\n"
      cp $@	
   fi	
}




rm -rf /dvr/start.sh
echo "rm -rf file"
rm -rf /dvr/ko/
rm -rf /dvr/usrbin
rm -rf /dvr/hidvr
rm -rf /dvr/load_modules.sh
rm -rf /dvr/net_mgr
rm -rf /dvr/run.sh




rm -rf /dvr/gui/*.qm
rm -rf /dvr/gui/skin
rm -rf /dvr/gui/gui

rm -rf /bin/smbd 
rm -rf /bin/nmbd 
rm -rf /etc/smb.conf 
rm -rf /var/log.samba

wrap_cp -rf ${Dir_path}/*   /
echo "cp all to dvr done ";

#########################
killall run.sh
killall sys_init
killall gui
killall net_mgr
killall udhcpc

echo "showUpgrade png!! "
/dvr/gui/showUpgrade -qws &


killall hidvr



echo "kill watchdog!!"
cd /bin
./i2ccmd W 0xe0 0xaa 0x11 0x01 0xfb

 
sleep 1

#echo "ttx/server=mobilecam1.net\n"
#echo "ttx/server=mobilecam1.net" >> /dvr/hidvr.cfg 

 if [ -f /tmp/u-boot.bin ] ; then
	#mtd_size=`mtd_debug info /dev/mtd0 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/u-boot.bin | awk '{print $5}'` 
	#echo "/dev/mtd0 size : $mtd_size ..."
	echo "update u-boot.bin file size : $size ..."
	echo -n "erasing ......" 
	flash_erase /dev/mtd0 0 16
	echo -n "writing ...... "
	flashcp /tmp/u-boot.bin /dev/mtd0
fi

if [ -f /tmp/uimage ] ; then
	#mtd_size=`mtd_debug info /dev/mtd1 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/uimage | awk '{print $5}'` 
	#echo "/dev/mtd1 size : $mtd_size ..."
	echo "update uimage file size : $size ..."
	echo -n "erasing ......" 
	flash_erase /dev/mtd1 0x10 64
	echo -n "writing ...... "
	flashcp /tmp/uimage /dev/mtd1
fi

if [ -f /tmp/rootfs.jffs2 ] ; then
	#mtd_size=`mtd_debug info /dev/mtd2 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/rootfs.jffs2 | awk '{print $5}'` 
	#echo "/dev/mtd2 size : $mtd_size ..."
	echo "update rootfs.jffs2 file size : $size ..."
	echo -n "erasing ......" 
	flash_erase /dev/mtd2 0x50 320
	echo -n "writing ......"
	flashcp /tmp/rootfs.jffs2 /dev/mtd2
fi

if [ -f /tmp/app ] ; then
	#mtd_size=`mtd_debug info /dev/mtd3 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/app | awk '{print $5}'` 
	#echo "/dev/mtd3 size : $mtd_size ..."
	echo "update app file size : $size ..."
	echo -n "erasing ......" 
	flash_erase /dev/mtd3 0x190 96
	echo -n "writing ...... "
	flashcp /tmp/app /dev/mtd3
fi



if [ -f /tmp/config ] ; then
	#mtd_size=`mtd_debug info /dev/mtd4 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/config | awk '{print $5}'` 
	#echo "/dev/mtd4 size : $mtd_size ..."
	echo "update config file size : $size ..."
	echo -n "erasing ......" 
	flash_erase /dev/mtd4 0x1f0 12
	echo -n "writing ...... "
	flashcp /tmp/config /dev/mtd4
fi

if [ -f /tmp/logo1.jpg ] ; then
	#mtd_size=`mtd_debug info /dev/mtd5 | grep mtd.size | awk '{print $3}'` 
	size=`ls -l /tmp/logo1.jpg | awk '{print $5}'` 
	#echo "/dev/mtd5 size : $mtd_size ..."
	echo "update logo file size : $size ..."
	echo -n "erasing ......" 
	#mtd_debug erase /dev/mtd5 0x1fC0000 $mtd_size
	flash_erase /dev/mtd5 0x1fC 4  
	echo -n "writing ...... "
	flashcp /tmp/logo1.jpg /dev/mtd5
fi

cd /bin
mkdir -p /tmp/samba




sync

#########################

##reboot
./i2ccmd W 0xe0 0xaa 0x11 0x01 0x1


exit 9
